<?php
	require_once 'base.php';
	include_once $babInstallPath."admin/acl.php";

	$babBody->setTitle(bab_translate("Personnals folders for the tracking of students", $GLOBALS['babAddonFolder']));

	if (!bab_isUserAdministrator()) {
		$babBody->addError( bab_translate("Acces denied", $GLOBALS['babAddonFolder']));
		return;
	}

	if( isset($_POST['updateaccess']))
	{
		maclGroups();
		$babBody->addError( bab_translate("Update done", $GLOBALS['babAddonFolder']));
	}

	$macl = new macl($GLOBALS['babAddonTarget']."/admin", 'idx_value', 1000, 'updateaccess');
	$macl->addtable( 'dp_create_groups',bab_translate("Who can create the personal shared folders?", $GLOBALS['babAddonFolder']));
	$macl->filter(0,0,1,1,1);
	$macl->addtable( 'dp_view_groups',bab_translate("Who can view the personal shared folders?", $GLOBALS['babAddonFolder']));
	$macl->filter(0,0,1,1,1);

	$macl->babecho();
?>