<?php
require_once 'base.php';
require_once $GLOBALS['babAddonPhpPath']."dp_ini.php";
// require_once $GLOBALS['babAddonPhpPath']."functions.php";
require_once $GLOBALS['babInstallPath']."addons".DIRECTORY_SEPARATOR."synchroad".DIRECTORY_SEPARATOR."sad_ini.php";

function displayPersonalFolderForm()
{
	global $babBody;
	class displayPersonalFolderFormClass
	{
		function displayPersonalFolderFormClass()
		{
			global $babDB;
			
			$this->tracking_folder_name = TRACKING;
			$res = $babDB->db_query("SELECT `id` FROM `bab_fm_folders` WHERE `folder` = '".$babDB->db_escape_string($this->tracking_folder_name)."'");
			$temp = $babDB->db_fetch_array($res);
			$this->tracking_folder_id = $temp["id"];
			$this->userid = $GLOBALS["BAB_SESS_USERID"];
			$this->res = $babDB->db_query("SELECT `folder`, `name`, `nickname`, `lastname`, `firstname` FROM `dp_folders`,  `bab_fm_folders`,`bab_users`, `bab_groups` WHERE (`bab_users`.`id` = '".$babDB->db_escape_string($this->userid)."') AND (`bab_users`.`id` = `dp_folders`.`id_user`) AND (`bab_groups`.`id` = `id_prof_group`) AND ( `bab_fm_folders`.`id`= `id_folder`)");
			$this->count = $babDB->db_num_rows($this->res);
			$this->class_label = bab_translate("Class", $GLOBALS["babAddonFolder"]);
			$this->lastname_label = bab_translate("Lastname", $GLOBALS["babAddonFolder"]);
			$this->firstname_label = bab_translate("Firstname", $GLOBALS["babAddonFolder"]);
			$this->folder_label = bab_translate("Personal shared folder", $GLOBALS["babAddonFolder"]);
		}
		////////////////////////////////////////////////////
		function getnext()
		{
			global $babDB;
			static $k=0;
			if ( $k < $this->count )
			{
				$temp  = $babDB->db_fetch_array($this->res);
				$this->folder_name = $temp["folder"];
				$iclass = $temp["name"];
				$this->iclass = substr($iclass, 0, strlen($iclass) - strlen(TEACHERS_GROUP_SUFFIX));
				$this->nickname = $temp["nickname"];
				$this->lastname = $temp["lastname"];
				$this->firstname = $temp["firstname"];
				$this->blank_target = false;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
		////////////////////////////////////////////////////		
	}
	$obj= new displayPersonalFolderFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS["babAddonHtmlPath"]."user.html", "access_list"));
}

function displayPersonalFoldersChoiceForm()
{
	global $babBody;
	class displayPersonalFoldersChoiceFormClass
	{
		function displayPersonalFoldersChoiceFormClass()
		{
			global $babDB;
			
			$this->userid = $GLOBALS["BAB_SESS_USERID"];
			$this->res = $babDB->db_query("SELECT DISTINCT `name`, `id_prof_group`  FROM `dp_folders`, `bab_groups` WHERE (`bab_groups`.`id` = `id_prof_group`) ORDER BY `name`");
			$this->count = $babDB->db_num_rows($this->res);
			$this->select_label = bab_translate("Select a class", $GLOBALS["babAddonFolder"]);
			$this->validate_label = bab_translate("Validate", $GLOBALS["babAddonFolder"]);
		}
		////////////////////////////////////////////////////
		function getnext()
		{
			global $babDB;
			static $k=0;
			if ( $k < $this->count )
			{
				$temp = $babDB->db_fetch_array($this->res);
				$iclass = $temp["name"];
				$this->iclass = substr($iclass, 0, strlen($iclass) - strlen(TEACHERS_GROUP_SUFFIX));
				$this->id_prof_group = $temp["id_prof_group"];
				$this->member = false;
				if (bab_isMemberOfGroup($this->id_prof_group, $this->userid))
				{
					$this->member = true;
				}
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
		////////////////////////////////////////////////////		
	}
	$obj= new displayPersonalFoldersChoiceFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS["babAddonHtmlPath"]."user.html", "access_choice"));
}

function displayPersonalFoldersListForm()
{
	global $babBody;
	class displayPersonalFoldersListFormClass
	{
		function displayPersonalFoldersListFormClass()
		{
			global $babDB;
			global $id_prof_group;
			
			$this->tracking_folder_name = TRACKING;
			$res = $babDB->db_query("SELECT `id` FROM `bab_fm_folders` WHERE `folder` = '".$babDB->db_escape_string($this->tracking_folder_name)."'");
			$temp = $babDB->db_fetch_array($res);
			$this->tracking_folder_id = $temp["id"];
			$this->userid = $GLOBALS["BAB_SESS_USERID"];
			$this->res = $babDB->db_query("SELECT `folder`, `name`, `nickname`, `lastname`, `firstname` FROM `dp_folders`, `bab_fm_folders`,`bab_users`, `bab_groups` WHERE (`id_prof_group` = '".$babDB->db_escape_string($id_prof_group)."') AND (`bab_users`.`id` = `dp_folders`.`id_user`) AND (`bab_groups`.`id` = `id_prof_group`) AND ( `bab_fm_folders`.`id`= `id_folder`) ORDER BY `lastname`, `firstname`");
			$this->count = $babDB->db_num_rows($this->res);
			$this->class_label = bab_translate("Class", $GLOBALS["babAddonFolder"]);
			$this->lastname_label = bab_translate("Lastname", $GLOBALS["babAddonFolder"]);
			$this->firstname_label = bab_translate("Firstname", $GLOBALS["babAddonFolder"]);
			$this->folder_label = bab_translate("Personal shared folder", $GLOBALS["babAddonFolder"]);
			$this->bg = false;
			$this->blank_target = false;
			if ($this->count > 1) $this->blank_target = true;
		}
		////////////////////////////////////////////////////
		function getnext()
		{
			global $babDB;
			static $k=0;
			if ( $k < $this->count )
			{
				$temp  = $babDB->db_fetch_array($this->res);
				$this->folder_name = $temp["folder"];
				$iclass = $temp["name"];
				$this->iclass = substr($iclass, 0, strlen($iclass) - strlen(TEACHERS_GROUP_SUFFIX));
				$this->nickname = $temp["nickname"];
				$this->lastname = $temp["lastname"];
				$this->firstname = $temp["firstname"];
				$this->bg = !$this->bg;
				$k++;
				return true;
			}
			else
			{
				return false;
			}
		}
		////////////////////////////////////////////////////		
	}
	$obj= new displayPersonalFoldersListFormClass();
	$babBody->babecho( bab_printTemplate($obj,$GLOBALS["babAddonHtmlPath"]."user.html", "access_list"));
}


$idx = bab_rp('idx', '');

switch($idx)
{
	case 'student':
		if (bab_isAccessValid('dp_create_groups', 1000))
		{
			$babBody->title = bab_translate("Access to the personal shared folder", $GLOBALS["babAddonFolder"]);
			displayPersonalFolderForm();
		}
		break;
	case 'teacher':
		if (bab_isAccessValid('dp_view_groups', 1000))
		{
			$id_prof_group = bab_rp('id_prof_group', '');
			if ($id_prof_group === "")
			{
				$babBody->title = bab_translate("Access to the personal shared folders", $GLOBALS["babAddonFolder"]);
				displayPersonalFoldersChoiceForm();
			}
			else
			{
				$res = $babDB->db_query("SELECT `name` FROM `bab_groups` WHERE `id` = '".$babDB->db_escape_string($id_prof_group)."'");
				
				if ($babDB->db_num_rows($res) > 0)
				{
					$temp = $babDB->db_fetch_array($res);
					$iclass = $temp["name"];
					$iclass = substr($iclass, 0, strlen($iclass) - strlen(TEACHERS_GROUP_SUFFIX));
					$babBody->title = bab_translate("Access to the personal shared folders for the class", $GLOBALS["babAddonFolder"])." ".$iclass;
					displayPersonalFoldersListForm();
				}
			}
		}
		break;
	default:
		break;
}

$babBody->setCurrentItemMenu($idx);

?>