<?php
require_once 'base.php';

// require_once $GLOBALS['babInstallPath']."utilit/defines.php"; 

require_once $GLOBALS['babAddonPhpPath'].'dp_ini.php';

function dossiersperso_getAdminSectionMenus(&$url, &$text)
{
	return false;
}
 
function dossiersperso_getUserSectionMenus(&$url, &$text)
{
	return false;
}
 
function dossiersperso_onSectionCreate(&$title, &$content)
{
	global $babDB;
	if (bab_isAccessValid('dp_create_groups', 1000) || bab_isAccessValid('dp_view_groups', 1000))
	{
		$title = bab_translate("Personnal folders", $GLOBALS['babAddonFolder']);
		$content = "<ul>\n";
		if (bab_isAccessValid('dp_create_groups', 1000))
		{
			$res = $babDB->db_query("SELECT `id` FROM `dp_folders` WHERE `id_user` = '".$GLOBALS["BAB_SESS_USERID"]."'");
			if ($babDB->db_num_rows($res) === 0)
			{
				$content .= "<li><a href='".$GLOBALS['babAddonUrl']."main' title = '".bab_translate("Creation of the personal shared folder", $GLOBALS['babAddonFolder'])."'>".bab_translate("Creation", $GLOBALS['babAddonFolder'])."</a></li>\n";
			}
			else
			{
				// $content .= "<li><a href='".$GLOBALS['babAddonUrl']."main' title = '".bab_translate("Modification of the personal shared folder", $GLOBALS['babAddonFolder'])."'>".bab_translate("Modification", $GLOBALS['babAddonFolder'])."</a></li>\n";
				$content .= "<li><a href='".$GLOBALS['babAddonUrl']."user&idx=student' title = '".bab_translate("Access to the personal shared folder", $GLOBALS['babAddonFolder'])."'>".bab_translate("Access", $GLOBALS['babAddonFolder'])."</a></li>\n";
			}
		}
		if (bab_isAccessValid('dp_view_groups', 1000))
		{
			$content .= "<li><a href='".$GLOBALS['babAddonUrl']."user&idx=teacher' title = '".bab_translate("Access to the personal shared folders", $GLOBALS['babAddonFolder'])."'>".bab_translate("Access", $GLOBALS['babAddonFolder'])."</a></li>\n";
		}
		$content .= "</ul>\n";
		return true;
	}
	else
	{
		return false;
	}
}

function dossiersperso_upgrade($version_base,$version_ini)
{
	global $babDB;
	global $babBody;	
	if ( !bab_isTable("dp_create_groups")) 
	{ 
		$res = $babDB->db_query(" 
		CREATE TABLE `dp_create_groups` (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`id_object` INT(11) UNSIGNED DEFAULT '0' NOT NULL,
		`id_group` INT(11) UNSIGNED DEFAULT '0' NOT NULL,
		PRIMARY KEY ( `id` ))
		"); 
	}
	if ( !bab_isTable("dp_view_groups")) 
	{ 
		$res = $babDB->db_query(" 
		CREATE TABLE `dp_view_groups` (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`id_object` INT(11) UNSIGNED DEFAULT '0' NOT NULL,
		`id_group` INT(11) UNSIGNED DEFAULT '0' NOT NULL,
		PRIMARY KEY ( `id` ))
		"); 
	}
	if ( !bab_isTable("dp_folders")) 
	{ 
		$res = $babDB->db_query(" 
		CREATE TABLE `dp_folders` (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`id_user` INT(11) UNSIGNED DEFAULT '0' NOT NULL,
		`id_folder` INT(11) UNSIGNED NOT NULL,
		`id_personal_group` INT(11) UNSIGNED NOT NULL,
		`id_prof_group` INT(11) UNSIGNED NOT NULL,
		PRIMARY KEY ( `id` ))
		"); 
	}
	$res = $babDB->db_query("SELECT `id` FROM `bab_fm_folders` WHERE `folder` = '".$babDB->db_escape_string(TRACKING)."' AND `sRelativePath` = '' AND `id_dgowner` = '0'");
	if ($babDB->db_num_rows($res) == 0)
	{
		$res = $babDB->db_query("
			INSERT INTO `bab_fm_folders`
			(`folder`,
			`sRelativePath`,
			`manager`,
			`idsa`,
			`filenotify`,
			`active`,
			`version`,
			`id_dgowner`,
			`bhide`,
			`auto_approbation`,
			`baddtags`)
			VALUES
			('".$babDB->db_escape_string(TRACKING)."',
			'',
			0,
			'0',
			'Y',
			'Y',
			'Y',
			'0',
			'Y',
			'Y',
			'N')
			");
		$id_folder = $babDB->db_insert_id($res);
	}
	else
	{
		$temp = $babDB->db_fetch_array($res);
		$id_folder = $temp["id"];
		$res = $babDB->db_query("UPDATE `bab_fm_folders` SET `bhide` = 'Y' WHERE `id` = '".$babDB->db_escape_string($id_folder)."'");
	}
	$res = $babDB->db_query("SELECT `id` FROM `bab_fmmanagers_groups` WHERE `id_object` = '".$babDB->db_escape_string($id_folder)."' AND `id_group` = '".BAB_ADMINISTRATOR_GROUP."'");
	if ($babDB->db_num_rows($res) == 0)
	{
		$res= $babDB->db_query("INSERT INTO `bab_fmmanagers_groups` (`id_object`, `id_group`) VALUES ('".$babDB->db_escape_string($id_folder)."', '".BAB_ADMINISTRATOR_GROUP."')");
	}
	$res = $babDB->db_query("SELECT `id` FROM `bab_fmdownload_groups` WHERE `id_object` = '".$babDB->db_escape_string($id_folder)."' AND `id_group` = '".BAB_REGISTERED_GROUP."'");
	if ($babDB->db_num_rows($res) == 0)
	{
		$res= $babDB->db_query("INSERT INTO `bab_fmdownload_groups` (`id_object`, `id_group`) VALUES ('".$babDB->db_escape_string($id_folder)."', '".BAB_REGISTERED_GROUP."')");
	}
	$res = $babDB->db_query("SELECT `uploadpath` FROM `bab_sites` WHERE `name` = '".$babDB->db_escape_string($GLOBALS["babSiteName"])."'");
	$temp = $babDB->db_fetch_array($res);
	$uploadpath = $temp["uploadpath"];
	if (!file_exists($uploadpath.DIRECTORY_SEPARATOR."fileManager".DIRECTORY_SEPARATOR."collectives".DIRECTORY_SEPARATOR."DG0".DIRECTORY_SEPARATOR.".")) mkdir($uploadpath.DIRECTORY_SEPARATOR."fileManager".DIRECTORY_SEPARATOR."collectives".DIRECTORY_SEPARATOR."DG0");
	if (!file_exists($uploadpath.DIRECTORY_SEPARATOR."fileManager".DIRECTORY_SEPARATOR."collectives".DIRECTORY_SEPARATOR."DG0".DIRECTORY_SEPARATOR.TRACKING.DIRECTORY_SEPARATOR.".")) mkdir($uploadpath.DIRECTORY_SEPARATOR."fileManager".DIRECTORY_SEPARATOR."collectives".DIRECTORY_SEPARATOR."DG0".DIRECTORY_SEPARATOR.TRACKING);
	return true;
}

function dossiersperso_onDeleteAddon()
{
	return true;
}
?>